# - Try to find libquentier
# Once done this will define
#  LIBQUENTIER_FOUND - libquentier library was found
#  LIBQUENTIER_INCLUDE_DIRS - libquentier include directories
#  LIBQUENTIER_LIBRARIES - The libraries needed to use libquentier
#  LIBQUENTIER_HAS_AUTHENTICATION_MANAGER - Boolean set to true if libquentier was built with AuthenticationManager
#  LIBQUENTIER_USE_QT_WEB_ENGINE - Boolean set to true if libquentier uses QtWebEngine
#  LIBQUENTIER_HAS_NOTE_EDITOR - Boolean set to true if libquentier was built with NoteEditor

# Compute paths
get_filename_component(LIBQUENTIER_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
if(EXISTS "${LIBQUENTIER_CMAKE_DIR}/CMakeCache.txt")
  # in build tree
  include("${LIBQUENTIER_CMAKE_DIR}/Libquentier-qt5BuildTreeSettings.cmake")
else()
  set(LIBQUENTIER_INCLUDE_DIRS "/usr/include")
endif()

# Find the libquentier's Qt dependencies
include("${LIBQUENTIER_CMAKE_DIR}/LibquentierFindPackageWrapperMacro.cmake")
include("${LIBQUENTIER_CMAKE_DIR}/Libquentier-qt5FindQtDependencies.cmake")

# libquentier library dependencies (contains definitions for IMPORTED targets)
include("${LIBQUENTIER_CMAKE_DIR}/Libquentier-qt5LibraryDepends.cmake")

# find libquentier library dependencies being IMPORTED targets
include("${LIBQUENTIER_CMAKE_DIR}/Libquentier-qt5FindOtherDependencies.cmake")

# The following libraries are found via ad-hoc processing and don't have find_package scripts, processing them specifically
include("${LIBQUENTIER_CMAKE_DIR}/LibquentierFindHunspell.cmake")
include("${LIBQUENTIER_CMAKE_DIR}/LibquentierFindLibTidyHtml5.cmake")

# These are IMPORTED targets created by Libquentier-qt5LibraryDepends.cmake
set(LIBQUENTIER_LIBRARIES "libqt5quentier")

set(LIBQUENTIER_HAS_AUTHENTICATION_MANAGER TRUE)
set(LIBQUENTIER_USE_QT_WEB_ENGINE TRUE)
set(LIB_QUENTIER_HAS_NOTE_EDITOR TRUE)
set(LIBQUENTIER_FOUND TRUE)
